Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Log_Msg.cpp File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/Guard_T.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_sys_time.h"`
`#include "ace/OS_NS_wchar.h"`
`#include "ace/OS_NS_signal.h"`
`#include "ace/Object_Manager_Base.h"`
`#include "ace/streams.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Log_Msg_Callback.h"`
`#include "ace/Log_Msg_IPC.h"`
`#include "ace/Log_Msg_NT_Event_Log.h"`
`#include "ace/Log_Msg_UNIX_Syslog.h"`
`#include "ace/Log_Record.h"`
`#include "ace/Recursive_Thread_Mutex.h"`

Include dependency graph for Log_Msg.cpp:

## Compounds
class | ACE_Log_Msg_Manager
| Synchronize output operations. More...
## Defines
#define | ACE_NTRACE 1
#define | ACE_LOG_MSG_SYSLOG_BACKEND ACE_Log_Msg_NT_Event_Log
#define | ACE_UPDATE_COUNT(COUNT, LEN)
## Functions
const char * | get_rcsid_ace_Log_Msg (const char *)
## Variables
const char * | rcsid_ace_Log_Msg = get_rcsid_ace_Log_Msg ( rcsid_ace_Log_Msg )

## Define Documentation

#define ACE_LOG_MSG_SYSLOG_BACKEND ACE_Log_Msg_NT_Event_Log

#define ACE_NTRACE 1

#define ACE_UPDATE_COUNT | ( | COUNT,
|  | LEN |  | ) |

| Value:
    do { if (ACE_static_cast (size_t, LEN) > COUNT) COUNT = 0; \
         else COUNT -= ACE_static_cast (size_t, LEN); \
       } while (0)

## Function Documentation

const char* get_rcsid_ace_Log_Msg | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Log_Msg = get_rcsid_ace_Log_Msg ( rcsid_ace_Log_Msg )`[static]`